Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class StructureMatcher.Highlight

    java.lang.Object
      org.gjt.sp.jedit.textarea.TextAreaExtension
          org.gjt.sp.jedit.textarea.StructureMatcher.Highlight

Enclosing class:
  StructureMatcher

public static class StructureMatcher.Highlight
extends TextAreaExtension

Paints the structure match highlight.

Method Summary
`void` | `paintValidLine(java.awt.Graphics2D gfx, int screenLine, int physicalLine, int start, int end, int y)` Called by the text area when the extension is to paint a screen line which has an associated physical line number in the buffer.

Methods inherited from class org.gjt.sp.jedit.textarea.TextAreaExtension
`getToolTipText, paintInvalidLine, paintScreenLineRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### paintValidLine

    public void paintValidLine(java.awt.Graphics2D gfx,
                               int screenLine,
                               int physicalLine,
                               int start,
                               int end,
                               int y)

  Description copied from class: `TextAreaExtension`
  Called by the text area when the extension is to paint a screen line which has an associated physical line number in the buffer. Note that since one physical line may consist of several screen lines due to soft wrap, the start and end offsets of the screen line are passed in as well.

  Overrides:
    `paintValidLine` in class `TextAreaExtension`
  Parameters:
    `gfx` - The graphics context
    `screenLine` - The screen line number
    `physicalLine` - The physical line number
    `start` - The offset where the screen line begins, from the start of the buffer
    `end` - The offset where the screen line ends, from the start of the buffer
    `y` - The y co-ordinate of the top of the line's bounding box

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD